id: channel_monitoring_sigmf_record_chan
label: Record Channel Meta (SigMF)
category: '[Channel Monitoring]'

templates:
  imports: from gnuradio import channel_monitoring
  make: channel_monitoring.sigmf_record_chan(${filename}, ${samp_rate}, ${fft_len}, ${center_freq}, ${occupied_carriers}, ${time_tag_key}, ${frac_offset_tag_key}, ${carrier_offset_tag_key}, ${rx_node}, ${tx_node}, ${author_email}, ${description})

#  Make one 'parameters' list entry for every parameter you want settable from the GUI.
#     Keys include:
#     * id (makes the value accessible as keyname, e.g. in the make entry)
#     * label (label shown in the GUI)
#     * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
#     * default
parameters:
- id: filename
  label: File
  dtype: file_save
  default: "channel"
- id: samp_rate
  label: Samp rate
  dtype: float
  default: samp_rate
- id: fft_len
  label: FFT Length
  dtype: int
  default: 64
- id: center_freq
  label: Center Frequency
  dtype: float
  default: 200000
- id: occupied_carriers
  label: Occupied Carriers
  dtype: int_vector
  default: []
- id: time_tag_key
  label: Time Tag Key
  dtype: string
  default: "rx_time"
  hide: part
- id: frac_offset_tag_key
  label: Frac Offset Tag Key
  dtype: string
  default: "frac_freq_offset"
  hide: part
- id: carrier_offset_tag_key
  label: Carrier Offset Tag Key
  dtype: string
  default: "ofdm_sync_carr_offset"
  hide: part
- id: rx_node
  label: RX Node ID
  dtype: int
  default: 1
- id: tx_node
  label: TX Node ID
  dtype: int
  default: 2
- id: author_email
  label: Author Info
  dtype: string
  default: "insert.email@address.here"
  hide: part
- id: description
  label: Record description
  dtype: string
  default: "Channel recording info"
  hide: part


#  Make one 'inputs' list entry per input and one 'outputs' list entry per output.
#  Keys include:
#      * label (an identifier for the GUI)
#      * domain (optional - stream or message. Default is stream)
#      * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
#      * vlen (optional - data stream vector length. Default is 1)
#      * optional (optional - set to 1 for optional inputs. Default is 0)
inputs:
- label: in
  domain: stream
  dtype: complex
  vlen: 1
  optional: 0

# outputs:
#- label: ...
#  domain: ...
#  dtype: ...
#  vlen: ...
#  optional: ...

#  'file_format' specifies the version of the GRC yml format used in the file
#  and should usually not be changed.
file_format: 1
